activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gary Tully <gary.tu...@gmail.com>
Subject Re: ActiveMQ 5.9.0 What's the matter?
Date Thu, 19 Dec 2013 18:26:28 GMT
that is a bug, you need the activemq-jms-pool jar on your classpath,
that should be part of activemq-all

I have raised https://issues.apache.org/jira/browse/AMQ-4946 to track this.

On 19 December 2013 03:54, localtyrant <poppy_d@163.com> wrote:
> I am upgrading AcitveMQ from 5.8.0 to 5.9.0. I have replaced the old jars to
> activemq-all-5.9.0.jar.
> And this my spring configuration:
> <bean id="con-factory"
> class="org.apache.activemq.spring.ActiveMQConnectionFactory">
>         <property name="brokerURL" value="tcp://xxxxx:xxx" />
> </bean>
> <bean id="activemq-for-consumer"
> class="org.apache.activemq.pool.PooledConnectionFactoryBean"
>                 destroy-method="stop">
>         <property name="connectionFactory" ref="con-factory"></property>
> </bean>
>
> When I ran the old project,I got the exception:
> java.lang.ClassNotFoundException:
> org.apache.activemq.jms.pool.PooledConnectionFactory
> I checked the  activemq-all-5.9.0.jarand didn't see the package of
> org.apache.activemq.jms in it.
>
> What's the matter with me?
> Many thanks
>
>
>
> --
> View this message in context: http://activemq.2283324.n4.nabble.com/ActiveMQ-5-9-0-What-s-the-matter-tp4675680.html
> Sent from the ActiveMQ - User mailing list archive at Nabble.com.



-- 
http://redhat.com
http://blog.garytully.com

Mime
View raw message